<?php
$carpeta = $_GET['carpeta'] ?? '';
$empresa = $_GET['empresa'] ?? '';
$modulo = $_GET['modulo'] ?? '';
$modulo=strtolower($modulo);
$empresa=strtolower($empresa);

$directorio = basename($carpeta);
$directorio="../archivos/".$empresa."/".$modulo."/".$directorio;

if (is_dir($directorio)) {
    $archivos = array_diff(scandir($directorio), array('.', '..'));
    echo json_encode(array_values($archivos));
} else {
    echo json_encode([]);
}


?>
